public class HSource
extends java.lang.Object
| Constructor and Description |
|---|
HSource()
Creates a new instance without the name set.
|
HSource(java.lang.String name)
Creates a new instance.
|
| Modifier and Type | Method and Description |
|---|---|
boolean |
canHandleRequest(java.lang.String uri)
Returns true if this data source can handle the request for the specified uri.
|
java.lang.String |
getName()
Returns the name of this resource
|
boolean |
handleHeadRequest() |
void |
handleRequest(java.lang.String uri,
HPage hp)
Invoked to write the data from this source into the specified HPage.
|
void |
setServer(HServer server) |
public java.lang.String name
public HServer server
public HSource()
HSource(String).public HSource(java.lang.String name)
name - The name to use.public java.lang.String getName()
public boolean canHandleRequest(java.lang.String uri)
uri - URL for this callpublic void handleRequest(java.lang.String uri,
HPage hp)
uri - The Request string containing the request parameters.hp - The HPage to write the data into.public boolean handleHeadRequest()
public void setServer(HServer server)